"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var DatabaseMigrationServiceClient_1 = require("./DatabaseMigrationServiceClient");
var AddTagsToResourceCommand_1 = require("./commands/AddTagsToResourceCommand");
var ApplyPendingMaintenanceActionCommand_1 = require("./commands/ApplyPendingMaintenanceActionCommand");
var CreateEndpointCommand_1 = require("./commands/CreateEndpointCommand");
var CreateEventSubscriptionCommand_1 = require("./commands/CreateEventSubscriptionCommand");
var CreateReplicationInstanceCommand_1 = require("./commands/CreateReplicationInstanceCommand");
var CreateReplicationSubnetGroupCommand_1 = require("./commands/CreateReplicationSubnetGroupCommand");
var CreateReplicationTaskCommand_1 = require("./commands/CreateReplicationTaskCommand");
var DeleteCertificateCommand_1 = require("./commands/DeleteCertificateCommand");
var DeleteEndpointCommand_1 = require("./commands/DeleteEndpointCommand");
var DeleteEventSubscriptionCommand_1 = require("./commands/DeleteEventSubscriptionCommand");
var DeleteReplicationInstanceCommand_1 = require("./commands/DeleteReplicationInstanceCommand");
var DeleteReplicationSubnetGroupCommand_1 = require("./commands/DeleteReplicationSubnetGroupCommand");
var DeleteReplicationTaskCommand_1 = require("./commands/DeleteReplicationTaskCommand");
var DescribeAccountAttributesCommand_1 = require("./commands/DescribeAccountAttributesCommand");
var DescribeCertificatesCommand_1 = require("./commands/DescribeCertificatesCommand");
var DescribeConnectionsCommand_1 = require("./commands/DescribeConnectionsCommand");
var DescribeEndpointTypesCommand_1 = require("./commands/DescribeEndpointTypesCommand");
var DescribeEndpointsCommand_1 = require("./commands/DescribeEndpointsCommand");
var DescribeEventCategoriesCommand_1 = require("./commands/DescribeEventCategoriesCommand");
var DescribeEventSubscriptionsCommand_1 = require("./commands/DescribeEventSubscriptionsCommand");
var DescribeEventsCommand_1 = require("./commands/DescribeEventsCommand");
var DescribeOrderableReplicationInstancesCommand_1 = require("./commands/DescribeOrderableReplicationInstancesCommand");
var DescribePendingMaintenanceActionsCommand_1 = require("./commands/DescribePendingMaintenanceActionsCommand");
var DescribeRefreshSchemasStatusCommand_1 = require("./commands/DescribeRefreshSchemasStatusCommand");
var DescribeReplicationInstanceTaskLogsCommand_1 = require("./commands/DescribeReplicationInstanceTaskLogsCommand");
var DescribeReplicationInstancesCommand_1 = require("./commands/DescribeReplicationInstancesCommand");
var DescribeReplicationSubnetGroupsCommand_1 = require("./commands/DescribeReplicationSubnetGroupsCommand");
var DescribeReplicationTaskAssessmentResultsCommand_1 = require("./commands/DescribeReplicationTaskAssessmentResultsCommand");
var DescribeReplicationTasksCommand_1 = require("./commands/DescribeReplicationTasksCommand");
var DescribeSchemasCommand_1 = require("./commands/DescribeSchemasCommand");
var DescribeTableStatisticsCommand_1 = require("./commands/DescribeTableStatisticsCommand");
var ImportCertificateCommand_1 = require("./commands/ImportCertificateCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var ModifyEndpointCommand_1 = require("./commands/ModifyEndpointCommand");
var ModifyEventSubscriptionCommand_1 = require("./commands/ModifyEventSubscriptionCommand");
var ModifyReplicationInstanceCommand_1 = require("./commands/ModifyReplicationInstanceCommand");
var ModifyReplicationSubnetGroupCommand_1 = require("./commands/ModifyReplicationSubnetGroupCommand");
var ModifyReplicationTaskCommand_1 = require("./commands/ModifyReplicationTaskCommand");
var RebootReplicationInstanceCommand_1 = require("./commands/RebootReplicationInstanceCommand");
var RefreshSchemasCommand_1 = require("./commands/RefreshSchemasCommand");
var ReloadTablesCommand_1 = require("./commands/ReloadTablesCommand");
var RemoveTagsFromResourceCommand_1 = require("./commands/RemoveTagsFromResourceCommand");
var StartReplicationTaskAssessmentCommand_1 = require("./commands/StartReplicationTaskAssessmentCommand");
var StartReplicationTaskCommand_1 = require("./commands/StartReplicationTaskCommand");
var StopReplicationTaskCommand_1 = require("./commands/StopReplicationTaskCommand");
var TestConnectionCommand_1 = require("./commands/TestConnectionCommand");
var DatabaseMigrationService = /** @class */ (function (_super) {
    tslib_1.__extends(DatabaseMigrationService, _super);
    function DatabaseMigrationService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DatabaseMigrationService.prototype.addTagsToResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsToResourceCommand_1.AddTagsToResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.applyPendingMaintenanceAction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ApplyPendingMaintenanceActionCommand_1.ApplyPendingMaintenanceActionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.createEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateEndpointCommand_1.CreateEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.createEventSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateEventSubscriptionCommand_1.CreateEventSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.createReplicationInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateReplicationInstanceCommand_1.CreateReplicationInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.createReplicationSubnetGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateReplicationSubnetGroupCommand_1.CreateReplicationSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.createReplicationTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateReplicationTaskCommand_1.CreateReplicationTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.deleteCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCertificateCommand_1.DeleteCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.deleteEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEndpointCommand_1.DeleteEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.deleteEventSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEventSubscriptionCommand_1.DeleteEventSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.deleteReplicationInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteReplicationInstanceCommand_1.DeleteReplicationInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.deleteReplicationSubnetGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteReplicationSubnetGroupCommand_1.DeleteReplicationSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.deleteReplicationTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteReplicationTaskCommand_1.DeleteReplicationTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeAccountAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeAccountAttributesCommand_1.DescribeAccountAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeCertificates = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCertificatesCommand_1.DescribeCertificatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeConnections = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeConnectionsCommand_1.DescribeConnectionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeEndpointTypes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEndpointTypesCommand_1.DescribeEndpointTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeEndpoints = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEndpointsCommand_1.DescribeEndpointsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeEventCategories = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventCategoriesCommand_1.DescribeEventCategoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeEventSubscriptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventSubscriptionsCommand_1.DescribeEventSubscriptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeEvents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventsCommand_1.DescribeEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeOrderableReplicationInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeOrderableReplicationInstancesCommand_1.DescribeOrderableReplicationInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describePendingMaintenanceActions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribePendingMaintenanceActionsCommand_1.DescribePendingMaintenanceActionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeRefreshSchemasStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeRefreshSchemasStatusCommand_1.DescribeRefreshSchemasStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeReplicationInstanceTaskLogs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReplicationInstanceTaskLogsCommand_1.DescribeReplicationInstanceTaskLogsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeReplicationInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReplicationInstancesCommand_1.DescribeReplicationInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeReplicationSubnetGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReplicationSubnetGroupsCommand_1.DescribeReplicationSubnetGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeReplicationTaskAssessmentResults = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReplicationTaskAssessmentResultsCommand_1.DescribeReplicationTaskAssessmentResultsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeReplicationTasks = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReplicationTasksCommand_1.DescribeReplicationTasksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeSchemas = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeSchemasCommand_1.DescribeSchemasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.describeTableStatistics = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeTableStatisticsCommand_1.DescribeTableStatisticsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.importCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ImportCertificateCommand_1.ImportCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.modifyEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyEndpointCommand_1.ModifyEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.modifyEventSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyEventSubscriptionCommand_1.ModifyEventSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.modifyReplicationInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyReplicationInstanceCommand_1.ModifyReplicationInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.modifyReplicationSubnetGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyReplicationSubnetGroupCommand_1.ModifyReplicationSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.modifyReplicationTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyReplicationTaskCommand_1.ModifyReplicationTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.rebootReplicationInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RebootReplicationInstanceCommand_1.RebootReplicationInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.refreshSchemas = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RefreshSchemasCommand_1.RefreshSchemasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.reloadTables = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ReloadTablesCommand_1.ReloadTablesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.removeTagsFromResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTagsFromResourceCommand_1.RemoveTagsFromResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.startReplicationTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartReplicationTaskCommand_1.StartReplicationTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.startReplicationTaskAssessment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartReplicationTaskAssessmentCommand_1.StartReplicationTaskAssessmentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.stopReplicationTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopReplicationTaskCommand_1.StopReplicationTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DatabaseMigrationService.prototype.testConnection = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TestConnectionCommand_1.TestConnectionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return DatabaseMigrationService;
}(DatabaseMigrationServiceClient_1.DatabaseMigrationServiceClient));
exports.DatabaseMigrationService = DatabaseMigrationService;
//# sourceMappingURL=DatabaseMigrationService.js.map