"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ApplyPendingMaintenanceAction_1 = require("../model/operations/ApplyPendingMaintenanceAction");
var ApplyPendingMaintenanceActionCommand = /** @class */ (function () {
    function ApplyPendingMaintenanceActionCommand(input) {
        this.input = input;
        this.model = ApplyPendingMaintenanceAction_1.ApplyPendingMaintenanceAction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ApplyPendingMaintenanceActionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ApplyPendingMaintenanceActionCommand;
}());
exports.ApplyPendingMaintenanceActionCommand = ApplyPendingMaintenanceActionCommand;
//# sourceMappingURL=ApplyPendingMaintenanceActionCommand.js.map