"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeEndpointTypes_1 = require("../model/operations/DescribeEndpointTypes");
var DescribeEndpointTypesCommand = /** @class */ (function () {
    function DescribeEndpointTypesCommand(input) {
        this.input = input;
        this.model = DescribeEndpointTypes_1.DescribeEndpointTypes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeEndpointTypesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeEndpointTypesCommand;
}());
exports.DescribeEndpointTypesCommand = DescribeEndpointTypesCommand;
//# sourceMappingURL=DescribeEndpointTypesCommand.js.map