"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReplicationTasks_1 = require("../model/operations/DescribeReplicationTasks");
var DescribeReplicationTasksCommand = /** @class */ (function () {
    function DescribeReplicationTasksCommand(input) {
        this.input = input;
        this.model = DescribeReplicationTasks_1.DescribeReplicationTasks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReplicationTasksCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReplicationTasksCommand;
}());
exports.DescribeReplicationTasksCommand = DescribeReplicationTasksCommand;
//# sourceMappingURL=DescribeReplicationTasksCommand.js.map