"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyReplicationInstance_1 = require("../model/operations/ModifyReplicationInstance");
var ModifyReplicationInstanceCommand = /** @class */ (function () {
    function ModifyReplicationInstanceCommand(input) {
        this.input = input;
        this.model = ModifyReplicationInstance_1.ModifyReplicationInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyReplicationInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyReplicationInstanceCommand;
}());
exports.ModifyReplicationInstanceCommand = ModifyReplicationInstanceCommand;
//# sourceMappingURL=ModifyReplicationInstanceCommand.js.map