"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyReplicationTask_1 = require("../model/operations/ModifyReplicationTask");
var ModifyReplicationTaskCommand = /** @class */ (function () {
    function ModifyReplicationTaskCommand(input) {
        this.input = input;
        this.model = ModifyReplicationTask_1.ModifyReplicationTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyReplicationTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyReplicationTaskCommand;
}());
exports.ModifyReplicationTaskCommand = ModifyReplicationTaskCommand;
//# sourceMappingURL=ModifyReplicationTaskCommand.js.map