"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateReplicationInstanceInput_1 = require("../shapes/CreateReplicationInstanceInput");
var CreateReplicationInstanceOutput_1 = require("../shapes/CreateReplicationInstanceOutput");
var AccessDeniedFault_1 = require("../shapes/AccessDeniedFault");
var ResourceAlreadyExistsFault_1 = require("../shapes/ResourceAlreadyExistsFault");
var InsufficientResourceCapacityFault_1 = require("../shapes/InsufficientResourceCapacityFault");
var ResourceQuotaExceededFault_1 = require("../shapes/ResourceQuotaExceededFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ReplicationSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/ReplicationSubnetGroupDoesNotCoverEnoughAZs");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateReplicationInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateReplicationInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateReplicationInstanceInput_1.CreateReplicationInstanceInput
    },
    output: {
        shape: CreateReplicationInstanceOutput_1.CreateReplicationInstanceOutput
    },
    errors: [
        {
            shape: AccessDeniedFault_1.AccessDeniedFault
        },
        {
            shape: ResourceAlreadyExistsFault_1.ResourceAlreadyExistsFault
        },
        {
            shape: InsufficientResourceCapacityFault_1.InsufficientResourceCapacityFault
        },
        {
            shape: ResourceQuotaExceededFault_1.ResourceQuotaExceededFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: ReplicationSubnetGroupDoesNotCoverEnoughAZs_1.ReplicationSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        }
    ]
};
//# sourceMappingURL=CreateReplicationInstance.js.map