"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DynamoDbSettings_1 = require("./_DynamoDbSettings");
var _S3Settings_1 = require("./_S3Settings");
var _DmsTransferSettings_1 = require("./_DmsTransferSettings");
var _MongoDbSettings_1 = require("./_MongoDbSettings");
var _KinesisSettings_1 = require("./_KinesisSettings");
var _ElasticsearchSettings_1 = require("./_ElasticsearchSettings");
var _RedshiftSettings_1 = require("./_RedshiftSettings");
exports._Endpoint = {
    type: "structure",
    required: [],
    members: {
        EndpointIdentifier: {
            shape: {
                type: "string"
            }
        },
        EndpointType: {
            shape: {
                type: "string"
            }
        },
        EngineName: {
            shape: {
                type: "string"
            }
        },
        EngineDisplayName: {
            shape: {
                type: "string"
            }
        },
        Username: {
            shape: {
                type: "string"
            }
        },
        ServerName: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        DatabaseName: {
            shape: {
                type: "string"
            }
        },
        ExtraConnectionAttributes: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        EndpointArn: {
            shape: {
                type: "string"
            }
        },
        CertificateArn: {
            shape: {
                type: "string"
            }
        },
        SslMode: {
            shape: {
                type: "string"
            }
        },
        ServiceAccessRoleArn: {
            shape: {
                type: "string"
            }
        },
        ExternalTableDefinition: {
            shape: {
                type: "string"
            }
        },
        ExternalId: {
            shape: {
                type: "string"
            }
        },
        DynamoDbSettings: {
            shape: _DynamoDbSettings_1._DynamoDbSettings
        },
        S3Settings: {
            shape: _S3Settings_1._S3Settings
        },
        DmsTransferSettings: {
            shape: _DmsTransferSettings_1._DmsTransferSettings
        },
        MongoDbSettings: {
            shape: _MongoDbSettings_1._MongoDbSettings
        },
        KinesisSettings: {
            shape: _KinesisSettings_1._KinesisSettings
        },
        ElasticsearchSettings: {
            shape: _ElasticsearchSettings_1._ElasticsearchSettings
        },
        RedshiftSettings: {
            shape: _RedshiftSettings_1._RedshiftSettings
        }
    }
};
//# sourceMappingURL=_Endpoint.js.map